# install dbus
sudo apt-get install dbus

# register to dbus
sudo cp k1x_ec /usr/local/bin/
sudo cp k1.ec.comm.conf /usr/share/dbus-1/system.d

# restart dbus
sudo systemctl restart dbus

# add service for ec command
cp k1.ec.comm.service /etc/systemd/system

# set to start service on startup
sudo systemctl enable k1.ec.comm.service

# command eg.
busctl call k1.ec.comm /k1/ec/comm ec.control.interface ledpower_off
busctl call k1.ec.comm /k1/ec/comm ec.control.interface ledpower_on
busctl call k1.ec.comm /k1/ec/comm ec.control.interface ledpower_fblink
busctl call k1.ec.comm /k1/ec/comm ec.control.interface ledpower_breath
busctl call k1.ec.comm /k1/ec/comm ec.control.interface ledpower_release
busctl call k1.ec.comm /k1/ec/comm ec.control.interface ledcharge_off
busctl call k1.ec.comm /k1/ec/comm ec.control.interface ledcharge_on
busctl call k1.ec.comm /k1/ec/comm ec.control.interface ledcharge_fblink
busctl call k1.ec.comm /k1/ec/comm ec.control.interface ledcharge_breath
busctl call k1.ec.comm /k1/ec/comm ec.control.interface ledcharge_release